Name:           catcodec
Version:        1.0.4
Release:        %mkrel 1
Summary:        Sample catalog decoder and encoder for OpenTTD
Group:          Development/Other
License:        GPLv2+
URL:            http://www.openttd.org/en/download-catcodec
Source0:        http://binaries.openttd.org/extra/%{name}/%{version}/%{name}-%{version}-source.tar.xz
Patch0:		catcodec-1.0.2-fix_linking_order.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
catcodec decodes and encodes sample catalogs for OpenTTD. These sample
catalogs are not much more than some meta-data (description and file name)
and raw PCM data.

%prep
%setup -q
%patch0 -p0

%build
cat << EOF >> Makefile.local
VERBOSE=1
CXXFLAGS=%{optflags}
LDFLAGS=%{ldflags}
prefix=%{_prefix}
DO_NOT_INSTALL_DOCS=1
DO_NOT_INSTALL_LICENSE=1
DO_NOT_INSTALL_CHANGELOG=1
EOF

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/readme.txt
%{_bindir}/*
%{_mandir}/man1/%{name}*


%changelog
* Mon Oct 03 2011 Andrey Bondrov <abondrov@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 702509
- New version: 1.0.4

* Mon Nov 01 2010 Jani Välimaa <wally@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 591508
- new version 1.0.3

* Thu Oct 21 2010 Jani Välimaa <wally@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 587158
- new version 1.0.2
- add patch to fix linking order
- add patch to add support for Makefile.local
  - use Makefile.local to set build time options

* Fri Aug 27 2010 Jani Välimaa <wally@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 573450
- new version 1.0.1
- use correct build flags
- fix install

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 534610
- import catcodec


